Skip to main content
GET
/
api
/
v1
/
sandboxes
List sandboxes
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/sandboxes \
  --header 'Authorization: Bearer <token>'
{
  "sandboxes": [
    {
      "is_default": true,
      "name": "<string>",
      "status": "<string>",
      "actions": [],
      "arch": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "display_name": "<string>",
      "hostname": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "last_seen_at": "2023-11-07T05:31:56Z",
      "os": "<string>",
      "purpose": "<string>",
      "ready": true,
      "resources": {
        "cpu": {
          "limit": "<string>",
          "remaining": "<string>",
          "used": "<string>",
          "used_pct": 123
        },
        "memory": {
          "limit": "<string>",
          "remaining": "<string>",
          "used": "<string>",
          "used_pct": 123
        }
      },
      "sandbox_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "sandbox_mode": "<string>",
      "sandbox_version": "<string>",
      "tunnel_url": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT authentication token

Response

Sandbox list

sandboxes
object[]
required